# pandas.Index.take

Index.take(indices, axis=0, allow_fill=True, fill_value=None, **kwargs)

  Return a new Index of the values selected by the indices.

  For internal compatibility with numpy arrays.

  Parameters
    indices array-like

      Indices to be taken.

    axis int, optional

      The axis over which to select values, always 0.

    allow_fill bool, default True
    fill_value scalar, default None

      If allow_fill=True and fill_value is not None, indices specified by -1 are regarded as NA. If Index doesn’t hold NA, raise ValueError.

  Returns
    Index

      An index formed of elements at the given indices. Will be the same type as self, except for RangeIndex.

  See also

  `numpy.ndarray.take`

    Return an array formed from the elements of a at the given indices.